Get a report by ID
Returns one tenant-scoped report. Built-in slugs are expanded into their explicit adapter-backed configuration.
Returns one tenant-scoped report. Built-in slugs are expanded into their explicit adapter-backed configuration.
__Secure-guidelab-prod.session_token<token>
Production session cookie set for the guidelab.co domain by Better Auth
In: cookie
Path Parameters
id*string
Response Body
application/json
curl -X GET "https://example.com/reports/string"{ "id": "string", "name": "string", "description": "string", "icon": "string", "type": "built_in", "templateSlug": "string", "isPinned": true, "sortOrder": 0, "createdAt": "string", "config": { "definitionVersion": "v1", "dataSource": "orders", "columns": [ { "fieldKey": "string", "label": "string", "aggregation": "sum", "format": "string", "width": 1 } ], "filters": [], "groupBy": [], "sortBy": [], "dateRange": { "fieldKey": "string", "preset": "today", "startDate": "string", "endDate": "string" }, "chart": { "type": "bar", "xAxisField": "string", "yAxisFields": [ "string" ], "enabled": true }, "pageSize": 1 }, "createdBy": "string", "updatedAt": "string"}Empty
Empty